<?php
/**
 * Load controller for WooCommerce SMS Notifications view
 *
 * @package miniorange-sms-order-notification-otp-verification/notifications/wcsmsnotification/controllers
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use WCSMSOTP\Notifications\WcSMSNotification\Handler\WooCommerceNotifications;

if ( ! current_user_can( 'manage_options' ) ) {
	return;
}

$mowc_registerd    = WooCommerceNotifications::instance()->moAddOnV();
$mowc_disabled     = ! $mowc_registerd ? 'disabled' : '';
$mowc_current_user = wp_get_current_user();
$mowc_controller   = trailingslashit( WC_MSN_DIR ) . 'controllers/';
$mowc_url          = isset( $_SERVER['REQUEST_URI'] ) ? esc_url_raw( wp_unslash( $_SERVER['REQUEST_URI'] ) ) : '';
$mowc_addon        = esc_url( add_query_arg( array( 'page' => 'addon' ), remove_query_arg( 'addon', $mowc_url ) ) );
